package com.huatek.busi.service;

import com.huatek.busi.dto.LabReportMarkStatisticDto;
import com.huatek.busi.entity.LabReportMarkStatistic;
import com.huatek.busi.vo.LabReportMarkStatisticVo;
import com.huatek.busi.vo.LabReportMarkVo;
import com.huatek.busi.vo.labRulesVo;

import java.util.List;
import java.util.Map;

public interface ILabReportMarkStatisticService {

    Map<String, Object> queryList();

    Map<String, Object> delete(String ids);

    int deleteByRIdAndTestDate (String eqType, String refId);

    int insert(LabReportMarkStatisticVo labReportMarkStatisticVo);

    int updateByRefIds(List<String> refIds , String equType);

    Double findMaxValue(String mainTreeId, String key);

    Double findMinValue(String mainTreeId, String key);

    Double findMaxValueByLTime(String mainTreeId, String key);

    List<LabReportMarkStatistic> findMainTreeId(String mainTreeId);


    labRulesVo findRules(String mainTreeId, String key);

    List<LabReportMarkStatistic> findAllManualAssessmentData(String mainTreeId);

    Double findMinValueByLTime(String mainTreeId, String key);

    Double findAverageValue(String mainTreeId, String key);

    Double findAverageValueByLTime(String mainTreeId, String key);

    Map<String, Object> findList(LabReportMarkVo labReportMarkVo);

    Map<String, Object> getHistoryChart(LabReportMarkVo vo);

    List<LabReportMarkStatisticDto> getLastImportInfo(String equipmentId,String type);
}
